Skip to main content
Topic: gparted (Read 95 times) previous topic - next topic
0 Members and 1 Guest are viewing this topic.

gparted

Я привык, что для запуска gparted необходимы права root, но выскакивает это
Code: [Select]
# gparted
Unable to init server: Не удалось подключиться к: В соединении отказано

(gpartedbin:23443): Gtk-WARNING **: 19:44:52.828: cannot open display:
Почему gparted запускается от непривилегированного пользователя? Пусть даже этот пользователь в группе wheel. Неправильный gparted. Так не должно быть.

Re: gparted

Reply #1
У вас установлен polkit-gnome? gparted открывает окно аутентификации polkit при запуске в моей системе.

Re: gparted

Reply #2
У вас установлен polkit-gnome?
Нет.
gparted открывает окно аутентификации polkit при запуске в моей системе.
Появляется окно с требованием авторизации прав root. Фактически ввожу пароль обычного пользователя хоть и состоит в группе wheel.

Установил polkit-gnome, но не вижу изменений.

Re: gparted

Reply #3
А можно на окно глянуть? Графический интерфейс sudo в системе установлен? Если нет, то это и есть авторизация polkit, у которой свои правила
ARMtix

Re: gparted

Reply #4
Графический интерфейс sudo в системе установлен?
sudo вообще удален.

Я догадываюсь, это из-за fakeroot, который нужен makepkg.

 

Re: gparted

Reply #5
fakeroot - это вообще про другое, у него другие задачи, чем у sudo
Тут, видимо, именно polkit позволяет пользователю запускать gparted, надо в его правилах смотреть
ARMtix

Re: gparted

Reply #6
/usr/share/polkit-1/rules.d/org.gnome.gparted.policy
Spoiler (click to show/hide)

Spoiler (click to show/hide)

Re: gparted

Reply #7
В artix любой пользователь может зайти под root
Code: [Select]
# cat /etc/pam.d/su
#%PAM-1.0
auth sufficient pam_rootok.so
# Uncomment the following line to implicitly trust users in the "wheel" group.
#auth sufficient pam_wheel.so trust use_uid
# Uncomment the following line to require a user to be in the "wheel" group.
#auth required pam_wheel.so use_uid
auth required pam_unix.so
account required pam_unix.so
session required pam_unix.so

# cat /etc/pam.d/su-l
#%PAM-1.0
auth sufficient pam_rootok.so
# Uncomment the following line to implicitly trust users in the "wheel" group.
#auth sufficient pam_wheel.so trust use_uid
# Uncomment the following line to require a user to be in the "wheel" group.
#auth required pam_wheel.so use_uid
auth required pam_unix.so
account required pam_unix.so
session required pam_unix.so